journey_planner_bar:
  namespace: "Organisms/TM - Journey Planner Bar"
  use: "@organisms/tm-jpb/journey-planner-bar.twig"
  label: Journey Planner Bar
  description: Journey Planner Bar
  libraries:
    - journey_planner_bar_lib:
        js:
          ../behaviors/journey-planner-bar.js: { }
        css:
          component:
            ../styles/journey-planner-bar.css: { weight: 10 }

  fields:

    ld_search:
      label: Search
      type: pattern
      preview:
        id: 'form-element'
        variant: 'textfield'
        fields:
          classes: 'form-group-inline form-group-no-pad'
          suffix: "<i class='fas fa-search'></i>"
          description_content: ""
          errors: ""
        settings:
          label_display: "invisible"

    jc_dropdown:
      label: JC Dropdown
      type: pattern
      preview:
        id: 'jc_dropdown'

    booking_form_desktop:
      label: JC Dropdown
      type: pattern
      preview:
        id: 'booking_form_desktop'

    booking_form_modal:
      label: JC Dropdown
      type: pattern
      preview:
        id: 'booking_form_modal'
        settings:
          show_button: false

    menu_lower:
      label: Menu lower
      type: pattern
      preview:
        id: 'menu_il'
        fields:
          id: 'hml-menu'
          links:
            - lid: "_0"
              title: "Journey check"
              url: "/"
              icon: "fas fa-check"
            - lid: "_1"
              title: "Refunds"
              url: "/"
              icon: "fas fa-money-bill-alt"
            - lid: "_2"
              title: "Greater Anglia"
              url: "/"
              icon: "fas fa-user"
            - lid: "_3"
              title: "Contact Us"
              url: "/"
              icon: "fas fa-comments"
            - lid: "_f"
              title: "<span class='sr-only'>Follow us on Facebook</span>"
              url: "/"
              icon: "fab fa-facebook social-link"
            - lid: "_t"
              title: "<span class='sr-only'>Follow us on Twitter</span>"
              url: "/"
              icon: "fab fa-twitter social-link"

  settings:
    emulate_ajax:
      type: boolean
      label: Add ajax wrapper
      preview: true
      default: false

    show_exposed_booking_form_button:
      type: boolean
      label: Form is exposed
      preview: false
      default: false
